import * as yup from 'yup';

export const modelSchema = yup.object().shape({
    name: yup.string().required('ต้องระบุชื่อโมเดล'),
    model_version: yup.string().required('ต้องระบุเวอร์ชัน'),
    developer: yup.string().nullable(),
    base_url: yup.string().url('ต้องเป็นรูปแบบ URL ที่ถูกต้อง').required('ต้องระบุ Internal Base URL'),
    inference_path: yup.string().required('ต้องระบุ Inference Path'),
    status: yup.string().oneOf(['ACTIVE', 'INACTIVE', 'TESTING']).required(),
    auth_required: yup.boolean(),
});
